> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Team by ID

> Use this endpoint to delete a specific team by its teamId.



## OpenAPI

````yaml delete /v1/teams/{teamId}
openapi: 3.0.1
info:
  title: Oberon API
  description: Oberon open api definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 52.35.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: SCIM
    description: >-
      SCIM-compatible User API. The SCIM (System for Cross-domain Identity

      Management) specification standardises a schema for user representation
      and

      provides a RESTful API to create, update, retrieve and delete user
      identities.

      <br> In particular, this API enables third-party systems to efficiently
      manage

      user provisioning and de-provisioning.
       <br> API available at `/scim/v2`
    externalDocs:
      description: Read more about SCIM
      url: https://datatracker.ietf.org/doc/html/rfc7644
  - name: Employees
    description: |-
      The Employees API enables you to search for employee records that
      are managed in Pleo. You can perform the following: 
       - Search for multiple
      employees 
       - Search for a specific employee record by employee ID
  - name: Companies
    description: >-
      The Companies API enables you to search for company records that are
      managed in Pleo. You can perform the following: 
       - Search for multiple companies
       - Search for a specific company record by company ID
  - name: Teams
    description: >-
      The Teams API enables you to manage teams within a company or organisation
      that are managed in Pleo. You can perform the following: 
       - Search for teams
       - Get a team by ID
       - Create a team
       - Partially update a team
       - Delete a team
       - Add members to a team
       - Remove a member from a team
paths:
  /v1/teams/{teamId}:
    delete:
      tags:
        - Teams
      summary: Delete a Team by ID
      description: Use this endpoint to delete a specific team by its teamId.
      operationId: Delete Team by ID
      parameters:
        - name: teamId
          in: path
          description: Enter the team ID.
          required: true
          style: simple
          explode: false
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: Team resource deleted
        '403':
          description: 'Forbidden: User lacks the necessary permissions'
        '404':
          description: 'Not found: Team with given ID not found'
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````